package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.ktg.iscs.domain.IsSopUser;

/**
 * SOP用户Service接口
 *
 * @author cgj
 * @date 2024-11-18
 */
public interface IIsSopUserService extends IService<IsSopUser>
{
    /**
     * 查询SOP用户
     *
     * @param recordId SOP用户主键
     * @return SOP用户
     */
    IsSopUser selectIsSopUserByRecordId(Long recordId);

    /**
     * 查询SOP用户列表
     *
     * @param isSopUser SOP用户
     * @return SOP用户集合
     */
    List<IsSopUser> selectIsSopUserList(IsSopUser isSopUser);

    /**
     * 新增SOP用户
     *
     * @param isSopUser SOP用户
     * @return 结果
     */
    int insertIsSopUser(IsSopUser isSopUser);

    /**
     * 修改SOP用户
     *
     * @param isSopUser SOP用户
     * @return 结果
     */
    int updateIsSopUser(IsSopUser isSopUser);

    /**
     * 批量删除SOP用户
     *
     * @param recordIds 需要删除的SOP用户主键集合
     * @return 结果
     */
    int deleteIsSopUserByRecordIds(String recordIds);

    /**
     * 删除SOP用户信息
     *
     * @param recordId SOP用户主键
     * @return 结果
     */
    int deleteIsSopUserByRecordId(Long recordId);
}
